#include<stdio.h>
main()
{
	int T,j;
	scanf("%d",&T);
	for(j=0;j<T;j++)
	{
		int N,M,K,br,s,i;
		scanf("%d %d %d",&N,&M,&K);
		if(N%K==0)
		br=N/K;
		else
		br=N/K+1;
		s=0;
		for(i=1;i<=br;i++)
		{
			s=s+i;
		}
		for(i=0;i<K;i++)
		{
			M=M-s;
		}
		if(M>0)
			printf("Tak");
		else
			printf("Nie");
	}
}